import request from '@/utils/request'

// 查询居民管理列表
export function listPerson(query) {
	return request({
		url: '/taicangpop/person/list',
		method: 'get',
		params: query,
	})
}

// 查询居民管理详细
export function getPerson(id) {
	return request({
		url: '/taicangpop/person/' + id,
		method: 'get',
	})
}

// 新增居民管理
export function addPerson(data) {
	return request({
		url: '/taicangpop/person',
		method: 'post',
		data: data,
	})
}

// 修改居民管理
export function updatePerson(data) {
	return request({
		url: '/taicangpop/person',
		method: 'put',
		data: data,
	})
}

// 删除居民管理
export function delPerson(id) {
	return request({
		url: '/taicangpop/person/' + id,
		method: 'delete',
	})
}

// 导出居民管理
export function exportPerson(query) {
	return request({
		url: '/taicangpop/person/export',
		method: 'get',
		params: query,
	})
}